Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002323 [Piwigo] user comments minor N/A 2011.06.02 19:02 2011.09.30 10:18
Reporter eric View Status public  
Assigned To eric
Priority normal Resolution fixed Platform Apache
Status closed   OS Linux
Projection none   OS Version PWG 2.2
ETA none Fixed in Version 2.2.3 Product Version 2.2.2
  Target Version 2.2.3 Product Build
Summary 0002323: [Evolution] Adding call of user_comment_check trigger in functions_comment.inc.php
Description To perform more spam check and plugins actions, a new call of user_comment_check trigger could be added on line 276 of functions_comment.inc.php file.
Steps To Reproduce
Additional Information Forum discussion : http://fr.piwigo.org/forum/viewtopic.php?pid=171163#p171163 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005185)
eric (developer)
2011.06.06 21:51

The trigger already exists but not set at the right place to be efficient for all plugins.
(0005186)
svn (reporter)
2011.06.06 21:59

[Subversion] r11253 by Eric on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2323 : Refactoring update_user_comment() function to use user_comment_check trigger in a better place.
(0005188)
svn (reporter)
2011.06.07 17:56

[Subversion] r11257 by Eric on branch 2.2

-----[Subversion commit log]----------------------------------------------------
r11253 merged from trunk - Tests are OK
bug 2323 fixed : Refactoring update_user_comment() function to use user_comment_check trigger in a better place.

- Issue History
Date Modified Username Field Change
2011.06.02 19:02 eric New Issue
2011.06.02 19:02 eric browser => any
2011.06.02 19:02 eric Web server => Apache 1.3.x
2011.06.06 21:50 eric Status new => assigned
2011.06.06 21:50 eric Assigned To => eric
2011.06.06 21:51 eric Note Added: 0005185
2011.06.06 21:51 eric Status assigned => acknowledged
2011.06.06 21:59 svn Checkin
2011.06.06 21:59 svn Note Added: 0005186
2011.06.06 22:13 eric Target Version => 2.2.3
2011.06.07 17:56 svn Checkin
2011.06.07 17:56 svn Note Added: 0005188
2011.06.07 18:03 eric Status acknowledged => resolved
2011.06.07 18:03 eric Fixed in Version => 2.2.3
2011.06.07 18:03 eric Resolution open => fixed
2011.09.30 10:18 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker